| Home | Libraries | People | FAQ | More

## Function template scatter

boost::compute::scatter

## Synopsis

    // In header: <boost/compute/algorithm/scatter.hpp>

    template<typename InputIterator, typename MapIterator,
             typename OutputIterator>
      void scatter(InputIterator first, InputIterator last, MapIterator map,
                   OutputIterator result,
                   command_queue & queue = system::default_queue());

## Description

Copies the elements from the range [`first`, `last`) to the range beginning at `result` using the output indices from the range beginning at `map`.

See Also:

gather()